Bug 1189611 - Review Request: fedpkg-minimal - Script to allow fedpkg fetch to work
Summary: Review Request: fedpkg-minimal - Script to allow fedpkg fetch to work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mathieu Bridon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-05 14:11 UTC by Pavol Babinčák
Modified: 2015-04-21 18:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-09 08:17:14 UTC
bochecha: fedora-review+
pbabinca: fedora-cvs+


Attachments (Terms of Use)

Description Pavol Babinčák 2015-02-05 14:11:35 UTC
Spec URL: https://pbabinca.fedorapeople.org/fedpkg-minimal/fedpkg-minimal.spec
SRPM URL: https://pbabinca.fedorapeople.org/fedpkg-minimal/fedpkg-minimal-1.0.0-1.fc22.src.rpm
Description: Script for use in Koji to allow sources to be fetched
Fedora Account System Username: pbabinca

Comment 1 Mathieu Bridon 2015-02-05 15:51:11 UTC
Summary
=======

[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

    => You could use the %license tag instead of %doc for the LICENSE file.

       I won't block the review on this though, you can just change it when
       you import the package. ;)

[!]: Packages should try to preserve timestamps of original installed files.

    => Please use "install -p" to install the files

[!] You're installing the README.md and LICENSE files twice:
    - once in %install
    - once by using the %doc macro on the file in the build dir

    Just drop the one from %install.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


MUST items
----------

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.

    => This package conflicts with fedpkg (/usr/bin/fedpkg). However, this is
       by design (this new package is supposed to be used in Koji buildroots
       instead of fedpkg, to limit dependencies), and it has the appropriate
       explicit Conflicts

       So this is not a problem.

[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.

    => As we just discussed, curl is already in the minimal buildroot (it's a
       dependency of rpm) but wget isn't, so for its intended purpose if would
       be better to have fepdkg-minimal depend on curl.

       That's certainly not a blocker for this review, though.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

    => You could use the %license tag instead of %doc for the LICENSE file.

       I won't block the review on this though, you can just change it when
       you import the package. ;)

[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

SHOULD items
------------

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.

    => Please use "install -p" to install the files

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.


EXTRA items
-----------

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fedpkg-minimal-1.0.0-1.fc22.noarch.rpm
          fedpkg-minimal-1.0.0-1.fc22.src.rpm
fedpkg-minimal.noarch: W: no-manual-page-for-binary fedpkg
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


Requires
--------
fedpkg-minimal (rpmlib, GLIBC filtered):
    /bin/bash
    wget


Provides
--------
fedpkg-minimal:
    fedpkg-minimal


Source checksums
----------------
http://fedorahosted.org/releases/f/e/fedpkg-minimal/fedpkg-minimal-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 60cea58845205c0a921796a59708821e6304f0bf722a90cb256e50fd804730fa
  CHECKSUM(SHA256) upstream package : 60cea58845205c0a921796a59708821e6304f0bf722a90cb256e50fd804730fa

Comment 2 Pavol Babinčák 2015-02-06 17:49:51 UTC
(In reply to Mathieu Bridon from comment #1)
> [x]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
> 
>     => You could use the %license tag instead of %doc for the LICENSE file.
> 
>        I won't block the review on this though, you can just change it when
>        you import the package. ;)
Fixed as suggested.

> 
> [!]: Packages should try to preserve timestamps of original installed files.
> 
>     => Please use "install -p" to install the files
Fixed as suggested.

> 
> [!] You're installing the README.md and LICENSE files twice:
>     - once in %install
>     - once by using the %doc macro on the file in the build dir
> 
>     Just drop the one from %install.
Fixed as suggested.


> [x]: Requires correct, justified where necessary.
> 
>     => As we just discussed, curl is already in the minimal buildroot (it's a
>        dependency of rpm) but wget isn't, so for its intended purpose if
> would
>        be better to have fepdkg-minimal depend on curl.
> 
>        That's certainly not a blocker for this review, though.
Will be fixed in next upstream release.

Updated spec URL: https://pbabinca.fedorapeople.org/fedpkg-minimal/fedpkg-minimal.spec
Updated SRPM URL: https://pbabinca.fedorapeople.org/fedpkg-minimal/fedpkg-minimal-1.0.0-2.fc22.src.rpm

Previously submitted spec and SRPM can be found here: https://pbabinca.fedorapeople.org/fedpkg-minimal/previous-2015-02-05/

Comment 3 Mathieu Bridon 2015-02-07 09:09:00 UTC
--- fedpkg-minimal.spec.old	2015-02-05 15:07:43.000000000 +0100
+++ fedpkg-minimal.spec	2015-02-06 18:45:59.000000000 +0100
@@ -1,6 +1,6 @@
 Name:           fedpkg-minimal
 Version:        1.0.0
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Script to allow fedpkg fetch to work
 
 Group:          Applications/System
@@ -25,16 +25,21 @@
 
 %install
 install -d %{buildroot}%{_bindir}
-install -m 755 bin/fedpkg %{buildroot}%{_bindir}/fedpkg
-install -d %{buildroot}%{_docdir}/%{name}
-install README.md LICENSE %{buildroot}%{_docdir}/%{name}
+install -pm 755 bin/fedpkg %{buildroot}%{_bindir}/fedpkg
 
 
 %files
-%doc README.md LICENSE
+%doc README.md
+%license LICENSE
 %{_bindir}/fedpkg
 
 %changelog
+* Fri Feb 06 2015 Pavol Babincak <pbabinca@redhat.com> - 1.0.0-2
+- use %%license tag instead of %%doc for the LICENSE file (rhbz#1189611)
+- preserve timestamp of original installed files (rhbz#1189611)
+- drop installation README.md and LICENSE from %%install section to install it
+  only once from %%doc and %%license macro (rhbz#1189611)
+
 * Wed Feb 04 2015 Pavol Babincak <pbabinca@redhat.com> - 1.0.0-1
 - Initial release made from
   http://koji.fedoraproject.org/koji/packageinfo?packageID=17475

-----

That fixes all the issues I had with the original packaging, so this is approved.

Comment 4 Pavol Babinčák 2015-02-09 08:55:16 UTC
New Package SCM Request
=======================
Package Name: fedpkg-minimal
Short Description: Script for use in Koji to allow sources to be fetched
Upstream URL: https://fedorahosted.org/fedpkg-minimal
Owners: pbabinca
Branches: f21 f20
InitialCC:

Comment 5 Pavol Babinčák 2015-02-09 12:49:40 UTC
Git done (by process-git-requests).

Comment 6 Pavol Babinčák 2015-03-03 16:58:25 UTC
Package Change Request
======================
Package Name: fedpkg-minimal
New Branches: el5 el6 epel7
Owners: pbabinca

Comment 7 Pavol Babinčák 2015-03-03 17:07:56 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-03-04 11:59:51 UTC
fedpkg-minimal-1.0.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/fedpkg-minimal-1.0.0-3.fc22

Comment 9 Fedora Update System 2015-03-04 12:01:01 UTC
fedpkg-minimal-1.0.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fedpkg-minimal-1.0.0-3.fc21

Comment 10 Fedora Update System 2015-03-04 12:03:08 UTC
fedpkg-minimal-1.0.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedpkg-minimal-1.0.0-3.fc20

Comment 11 Fedora Update System 2015-03-04 12:04:13 UTC
fedpkg-minimal-1.0.0-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/fedpkg-minimal-1.0.0-3.el7

Comment 12 Fedora Update System 2015-03-04 12:05:07 UTC
fedpkg-minimal-1.0.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedpkg-minimal-1.0.0-3.el6

Comment 13 Fedora Update System 2015-03-04 12:07:06 UTC
fedpkg-minimal-1.0.0-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedpkg-minimal-1.0.0-3.el5

Comment 14 Fedora Update System 2015-04-06 18:10:54 UTC
fedpkg-minimal-1.0.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2015-04-06 18:10:59 UTC
fedpkg-minimal-1.0.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 16 Fedora Update System 2015-04-06 18:11:30 UTC
fedpkg-minimal-1.0.0-3.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 17 Fedora Update System 2015-04-07 07:25:50 UTC
fedpkg-minimal-1.0.0-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 18 Fedora Update System 2015-04-07 07:26:55 UTC
fedpkg-minimal-1.0.0-3.fc21 has been pushed to the Fedora 21 stable repository.

Comment 19 Fedora Update System 2015-04-21 18:30:11 UTC
fedpkg-minimal-1.0.0-3.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.